Skip to main content

Get All Instance Request Templates

GET 

/v1/sandbox/:sandbox_id/instance-request-template

Get all Instance Request Templates in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    instance_request_templates

    object[]

    List of InstanceRequestTemplates

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    map_selection_list_id uuidrequired

    Which MapSelectionList is used to choose a map when using this template

    instance_request_template_id uuid

    ID to uniquely identify this InstanceRequestTemplate

    default_host_type Host Type (string)required

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

  • ]

Loading...